provider "aws" {
  alias   = "core"
  profile = "core"
  region  = "eu-west-3"
}

provider "aws" {
  alias   = "root"
  profile = "root"
  region  = "eu-west-3"
}

provider "aws" {
  alias   = "tests"
  profile = "tests"
  region  = "eu-west-3"
}

run "main" {
  assert {
    condition     = output.access_key_id != null
    error_message = "invalid iam user access key id"
  }
}

variables {
  name = "tftest"
}
